%global		momorel 1
%global         qtver 4.4.0
%global         qtdir %{_libdir}/qt4

Name:           qsvn
Version:        0.7.0
Release:        %{momorel}m%{?dist}
Summary:        Subversion client 
License:        GPL
Group:          Applications/Internet
URL:            http://ar.oszine.de/projects/qsvn/
Source0:        http://ar.oszine.de/projects/qsvn/chrome/site/%{name}-%{version}-src.tar.gz
NoSource:       0
Source1:	qsvn.desktop
Source2:	qsvn.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:    qt-devel >= %{qtver}
BuildPreReq:    cmake
BuildPreReq:	subversion-devel
BuildPreReq:	desktop-file-utils
BuildPreReq:	openldap-devel >= 2.4.0
Requires:       qt >= %{qtver}
Requires:	subversion
Requires:	openldap

%description
QSvn is a GUI Subversion client for Linux, UNIX, Mac OS X and Windows. 
It is a real client not a GUI wrapper for the command line client from Subversion.
QSvn uses a C++ Subversion wrapper developed by the Kdesvn Project. 
For cross plattform QSvn uses the Qt Framework from Trolltech.

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q

%build
export QTDIR=%{qtdir} QTLIB=%{qtdir}/lib
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%ifarch x86_64
%define lib_suffix "-DLIB_SUFFIX=64"
%else
%define lib_suffix %{nil}
%endif

mkdir build
cd build
cmake %{lib_suffix} \
      -DCMAKE_BUILD_TYPE="Release" \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DQT_QT_LIBRARY=%{qtdir}/lib/libqt-mt.so \
      -DHAVE_GCC_VISIBILITY:INTERNAL=FALSE \
      -DAPR_CONFIG=%{_bindir}/apr-1-config \
      -DAPU_CONFIG=%{_bindir}/apu-1-config \
      ../src

make VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}

# Install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
convert -scale 16x16 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/qsvn.png
convert -scale 32x32 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/qsvn.png
convert -scale 48x48 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/qsvn.png

# Install desktop file.
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Development \
  --add-category KDE \
  --add-category Qt \
  %{SOURCE1}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog INSTALL README
%{_bindir}/qsvn
%{_datadir}/applications/kde/qsvn.desktop
%{_datadir}/icons/*/*/*/qsvn.png
%{_libdir}/libsvnqt-qt4.so.*

%files devel
%{_includedir}/svnqt-qt4
%{_libdir}/libsvnqt-qt4.so

%changelog
* Mon Aug  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.0-1m)
- update to 0.7.0

* Tue Jul  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.1-6m)
- fix build break

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.1-5m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.1-4m)
- rebuild against gcc43

* Wed Feb 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.1-3m)
- rebuld against openldap-2.4.8

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-2m)
- fix build on my machine..., I have /usr/local/bin/apr-config

* Sun Jan 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.1-1m)
- initial build for Momonga Linux 4
